import shapes.*;

public class ShapesTest {
	
	static public void main(String [] args)
	{
		Shape [] tvary = new Shape[6];
		tvary[0] = new Circle(5);
		tvary[1] = new Square(3);
		tvary[2] = new Triangle(3,5,4);
		tvary[3] = new Sphere(5);
		tvary[4] = new Cube(3);
		tvary[5] = new Tetrahedron(4);
		
		for(Shape tvar : tvary)
		{
			if(tvar  == null) continue;

			System.out.printf("%s; area = %f",
				tvar,tvar.getArea());

			if(tvar instanceof ThreeDimmensionalShape)
			{
				System.out.printf("; volume = %f",
				 ((ThreeDimmensionalShape) tvar).getVolume());
			}
			System.out.println();
		}
        System.out.println();
		System.out.println(tvary[0].getClass().getName());
	}
}
