package shapes;

public class Tetrahedron extends ThreeDimmensionalShape
{
	private double strana;
	
	public Tetrahedron(double strana)
	{
		this.strana = strana;
	}

	@Override
	public double getArea()
	{
		return Math.sqrt(3)*strana*strana;
	}

	@Override
	public double getVolume()
	{
		return (Math.sqrt(2)/12.0)*strana*strana*strana;
	}

	@Override
	protected String charakteristika()
	{
		return String.format("a=%g", strana);
	}
}
